Bug 430960 - libsoup 2.4 patches for hardinfo
libsoup 2.4 patches for hardinfo
Product: Fedora
Classification: Fedora
Component: hardinfo (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-30 14:52 EST by Dan Winship
Modified: 2008-02-09 07:08 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-09 07:08:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch for hardinfo to use libsoup 2.4 (7.42 KB, patch)
2008-01-30 14:52 EST, Dan Winship
no flags Details | Diff

  None (edit)
Description Dan Winship 2008-01-30 14:52:30 EST
hardinfo is broken in rawhide because of the libsoup upgrade. Here are some
patches, which compile but are otherwise untested.

Alternatively, you might want to wait for bug 430756 (compat-libsoup).

I haven't filed this upstream because the patches are completely untested.
In particular, hardinfo uses XML-RPC, and the XML-RPC code in libsoup 2.4 is
completely different from 2.2, so there's a good chance I broke something.
(In hardinfo, not libsoup; the new code in libsoup is pretty well tested at
this point.)
Comment 1 Dan Winship 2008-01-30 14:52:30 EST
Created attachment 293477 [details]
patch for hardinfo to use libsoup 2.4
Comment 2 Adel Gadllah 2008-01-31 11:17:53 EST
Thanks for the patch!
I will apply it after verifing that it works this weekend.
Comment 3 Adel Gadllah 2008-02-09 07:08:26 EST
Patch works fine after changing 
+MIN_VERSION="" to +MIN_VERSION="2.3.0" (could not find
I tested the XML-RPC features of hardinfo and they seem to work fine.
Thx again for the patch.

Fixed inhardinfo-

Note You need to log in before you can comment on or make changes to this bug.